<template>
  <title-header title="contact" />
  <div
    class="p-5 h-[calc(100vh-130px)] bg-background2 app-bg overflow-y-scroll pb-[100px]"
  >
    <div class="flex flex-col padding-x">
      <div
        class="mt-2 flex flex-col p-[20px] bg__gradient rounded-lg mb-[25px] fc-textBtn"
      >
        <div class="flex gap-2">
          <svg-icon svg-name="hearmic" class="w-7 h-7" style="fill: white" />
          <ul class="flex flex-col gap-2 grow">
            <li>
              <p>
                <b class="text-[15.82px] fc-text4">{{
                  $t("online_customer_service")
                }}</b>
              </p>
            </li>
            <li class="leading-6">
              <p class="text-[13.1px] fc-text4">
                {{ $t("dedicated_service_caring_first") }}
              </p>
            </li>
          </ul>
        </div>
      </div>

      <div class="w-full flex flex-col gap-y-3">
        <template v-for="(contact, index) in getContactList" :key="index">
          <div
            class="flex gap-2 contact-card"
            @click="handleHyperlinkRender(contact.HyperLink)"
          >
            <div class="w-[24px] h-[24px] min-w-[24px] min-h-[24px]">
              <img
                v-lazy="contact.ImagePath"
                class="object-contain w-full h-full"
              />
            </div>
            <span class="contact-card__content">{{ contact.Text }}</span>
          </div>
        </template>
      </div>
    </div>
  </div>
</template>

<script lang="ts">
import { defineComponent } from "vue";
import TitleHeader from "./components/ui/TitleHeader.client.vue";

export default defineComponent({
  components: {
    TitleHeader,
  },
  setup() {
    const { handleHyperlinkRender } = commonHelper;
    const { getContactList } = useContactUs();
    return {
      getContactList,
      handleHyperlinkRender,
    };
  },
});
</script>

<style lang="scss" scoped>
.contact-card {
  --bg-opacity: 1;
  background-color: rgba(31, 33, 65, var(--bg-opacity));
  padding: 1.4rem;
  border-radius: 0.5rem;
  overflow: hidden;
  color: white;

  span {
    font-weight: 700;
    font-size: 1rem;
  }
  .contact-card__content {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
  }
}
.text-primary {
  color: var(--primary);
}
.contactus-border_b {
  border-bottom: 1px solid #4d5080;
}
.contactus-border_b:last-child {
  border: none;
}
.bg__gradient {
  background: linear-gradient(105deg, #3f1ec5, #a73fd4) no-repeat 50%;
}
</style>
